## python-txaio 1.0.0

=== Makefile ===
.PHONY: test docs pep8

default: test

test:
	tox

coverage:
	-rm test/.coverage
# can we exclude just the flake8 environment?
	tox -e py27-twisted,pypy-twisted,py34-twisted,py34-asyncio,py27-asyncio,pypy-asyncio
	cd test && coverage combine
	cd test && coverage html
	cd test && coverage report --show-missing

docs:
	cd doc && make html

pep8:
	pep8 test/*.py txaio/*.py

# This will run pep8, pyflakes and can skip lines that end with # noqa
flake8:
	flake8 --ignore=E501 test/*.py txaio/*.py

# cleanup everything
clean:
	rm -rf ./txaio.egg-info
	rm -rf ./build
	rm -rf ./dist

# publish to PyPI
publish: clean
	python setup.py register
	python setup.py sdist upload

=== debian/changelog ===
python-txaio (1.0.0-3) unstable; urgency=medium

  * Using python$$pyvers -m pytest instead of py.test-X.Y (Closes: #814846).
  * Do not pre-depends on dpkg with xz support anymore.
  * VCS using HTTPS.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 06:00:47 +0000

python-txaio (1.0.0-2) unstable; urgency=medium

  * Fixed wrong format for Uploaders: field due to wrap-and-sort bug.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2015 00:47:57 +0200

python-txaio (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #783055)

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Apr 2015 11:02:23 +0200

=== debian/control ===
Source: python-txaio
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-alabaster,
                     python-pytest,
                     python-six,
                     python-twisted,
                     python3-pytest,
                     python3-six,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-txaio.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-txaio.git
Homepage: https://github.com/tavendo/txaio

Package: python-txaio
Architecture: all
Depends: python-six,
         python-twisted,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-txaio-doc,
Description: compatibility API between asyncio/Twisted/Trollius - Python 2.x
 Txaio is a helper library for writing code that runs unmodified on both
 Twisted and asyncio.
 .
 This is like six , but for wrapping over differences between Twisted and
 asyncio so one can write code that runs unmodified on both (aka "source code
 compatibility"). In other words: users can choose if they want asyncio or
 Twisted as a dependency.
 .
 This package contains the Python 2.x module.

Package: python3-txaio
Architecture: all
Depends: python3-six,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-txaio-doc,
Description: compatibility API between asyncio/Twisted/Trollius - Python 3.x
 Txaio is a helper library for writing code that runs unmodified on both
 Twisted and asyncio.
 .
 This is like six , but for wrapping over differences between Twisted and
 asyncio so one can write code that runs unmodified on both (aka "source code
 compatibility"). In other words: users can choose if they want asyncio or
 Twisted as a dependency.
 .
 This package contains the Python 3.x module.

Package: python-txaio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: compatibility API between asyncio/Twisted/Trollius - doc
 Txaio is a helper library for writing code that runs unmodified on both
 Twisted and asyncio.
 .
 This is like six , but for wrapping over differences between Twisted and
 asyncio so one can write code that runs unmodified on both (aka "source code
 compatibility"). In other words: users can choose if they want asyncio or
 Twisted as a dependency.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/<please-user>/txaio.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-txaio; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-txaio; \
	done
	rm -rf $(CURDIR)/debian/python*-txaio/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHONPATH=. python$$pyvers -m pytest ; \
	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc debian/python-txaio-doc/usr/share/doc/python-txaio-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/txaio txaio-(.*).tar.gz

## python-txaio 2.5.1

=== debian/changelog ===
python-txaio (2.5.1-1+2~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 29 Aug 2016 16:16:41 +0000

python-txaio (2.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/rules: Fixed UPSTREAM_GIT.
  * Removed silly patch: do-not-use-alabaster-theme.patch.
  * Add --ignore=test/test_packaging.py when running tests as it fails (we
    don't care testing the build of sdists in the Debian context anyway).
  * Fix path when building sphinx doc (upstream changed it).
  * Add no-intersphinx.patch.
  * Add remove-privacy-breach-in-docs.patch.
  * Standards-Version is now 3.9.8 (no change).
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 13:55:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,29 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all (>= 2.6.6-3~),
+               openstack-pkg-tools (>= 52~),
+               python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: python-alabaster,
+                     python-enchant,
+                     python-mock (>= 1.3),
                      python-pytest,
                      python-six,
+                     python-sphinx-rtd-theme,
+                     python-trollius,
                      python-twisted,
+                     python-zope.interface,
+                     python3-enchant,
+                     python3-mock (>= 1.3),
                      python3-pytest,
                      python3-six,
-Standards-Version: 3.9.6
+                     python3-trollius,
+                     python3-twisted,
+                     python3-zope.interface,
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-txaio.git
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-txaio.git
 Homepage: https://github.com/tavendo/txaio
@@ -24,7 +35,9 @@
 Package: python-txaio
 Architecture: all
 Depends: python-six,
+         python-trollius,
          python-twisted,
+         python-zope.interface,
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-txaio-doc,
@@ -42,6 +55,9 @@
 Package: python3-txaio
 Architecture: all
 Depends: python3-six,
+         python3-trollius,
+         python3-twisted,
+         python3-zope.interface,
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-txaio-doc,

## python-txaio 2.5.1+2016.10.03.git.623ef68776

=== Makefile ===
.PHONY: test docs pep8

default: test

test:
	tox

coverage:
	-rm test/.coverage
# can we exclude just the flake8 environment?
	tox -e py27-tw154,pypy-tw154,py34-tw154,py34-asyncio,py27-asyncio,pypy-asyncio,py27-tw132
	cd test && coverage combine
	cd test && coverage html
	cd test && coverage report --show-missing

install:
	pip install --upgrade -e .[all,dev]

docs:
	cd docs && make html

spelling:
	cd docs && sphinx-build -b spelling . _spelling

pep8:
	pep8 test/*.py txaio/*.py

# This will run pep8, pyflakes and can skip lines that end with # noqa
flake8:
	flake8 --max-line-length=119 test/*.py txaio/*.py

# cleanup everything
clean:
	rm -rf ./txaio.egg-info
	rm -rf ./build
	rm -rf ./dist
	rm -rf ./temp
	rm -rf ./_trial_temp
	rm -rf ./.tox
	rm -rf ./.eggs
	rm -rf ./.cache
	rm -rf ./test/.coverage.*.*
	rm -rf ./docs/_build
	rm -rf ./docs/_spelling
	find . -name "*.tar.gz" -type f -exec rm -f {} \;
	find . -name "*.egg" -type f -exec rm -f {} \;
	find . -name "*.pyc" -type f -exec rm -f {} \;
	find . -name "*__pycache__" -type d -exec rm -rf {} \;

# publish to PyPI
publish: clean
	python setup.py sdist bdist_wheel
	twine upload dist/*

=== debian/changelog ===
python-txaio (2.5.1+2016.10.03.git.623ef68776-1) unstable; urgency=medium

  * New upstream release based on commit 623ef68776:
    - Includes upstream fix for pytest (Closes: #840571).

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Oct 2016 19:51:07 +0200

python-txaio (2.5.1-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:15:57 +0200

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                      python3-twisted,
                      python3-zope.interface,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-txaio.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-txaio.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-txaio?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-txaio -b debian/newton
 Homepage: https://github.com/tavendo/txaio
 
 Package: python-txaio

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/crossbario/txaio.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHONPATH=. python$$pyvers -m pytest --ignore=test/test_packaging.py ; \
	done
endif

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html docs debian/python-txaio-doc/usr/share/doc/python-txaio-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-txaio 2.8.0

=== debian/changelog ===
python-txaio (2.8.0-0.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * Drop useless, conflicting usr/LICENSE file in both binary packages.
  * Update copyright year and author
  * Update watch file.

  [ Michael Hudson-Doyle ]
  * New upstream release (Closes: #867037).
  * d/control: drop build-dependency/dependency on python3-trollius.
  * d/patches/remove-privacy-breach-in-docs.patch: regenerate.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2017 08:32:33 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
                      python3-mock (>= 1.3),
                      python3-pytest,
                      python3-six,
-                     python3-trollius,
                      python3-twisted,
                      python3-zope.interface,
 Standards-Version: 3.9.8
@@ -55,7 +54,6 @@
 Package: python3-txaio
 Architecture: all
 Depends: python3-six,
-         python3-trollius,
          python3-twisted,
          python3-zope.interface,
          ${misc:Depends},

## python-txaio 2.8.1

=== Makefile ===
--- 
+++ 
@@ -47,6 +47,11 @@
 	find . -name "*.pyc" -type f -exec rm -f {} \;
 	find . -name "*__pycache__" -type d -exec rm -rf {} \;
 
+# upload to our internal deployment system
+upload: clean
+	python setup.py bdist_wheel
+	aws s3 cp dist/*.whl s3://fabric-deploy/
+
 # publish to PyPI
 publish: clean
 	python setup.py sdist bdist_wheel

=== debian/changelog ===
python-txaio (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Fixed (build-)depends versions after stretch release.
  * Updating maintainer.
  * Standards-Version is now 4.1.1.
  * Updated VCS fields.
  * Updated d/copyright format url (https).
  * Remove gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2017 19:44:35 +0100

=== debian/control ===
Source: python-txaio
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-alabaster,
 python-enchant,
 python-mock,
 python-pytest,
 python-six,
 python-sphinx-rtd-theme,
 python-trollius,
 python-twisted,
 python-zope.interface,
 python3-enchant,
 python3-mock,
 python3-pytest,
 python3-six,
 python3-twisted,
 python3-zope.interface,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-txaio.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-txaio.git
Homepage: https://github.com/tavendo/txaio

Package: python-txaio
Architecture: all
Depends:
 python-six,
 python-trollius,
 python-twisted,
 python-zope.interface,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-txaio-doc,
Description: compatibility API between asyncio/Twisted/Trollius - Python 2.x
 Txaio is a helper library for writing code that runs unmodified on both
 Twisted and asyncio.
 .
 This is like six , but for wrapping over differences between Twisted and
 asyncio so one can write code that runs unmodified on both (aka "source code
 compatibility"). In other words: users can choose if they want asyncio or
 Twisted as a dependency.
 .
 This package contains the Python 2.x module.

Package: python-txaio-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: compatibility API between asyncio/Twisted/Trollius - doc
 Txaio is a helper library for writing code that runs unmodified on both
 Twisted and asyncio.
 .
 This is like six , but for wrapping over differences between Twisted and
 asyncio so one can write code that runs unmodified on both (aka "source code
 compatibility"). In other words: users can choose if they want asyncio or
 Twisted as a dependency.
 .
 This package contains the documentation.

Package: python3-txaio
Architecture: all
Depends:
 python3-six,
 python3-twisted,
 python3-zope.interface,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-txaio-doc,
Description: compatibility API between asyncio/Twisted/Trollius - Python 3.x
 Txaio is a helper library for writing code that runs unmodified on both
 Twisted and asyncio.
 .
 This is like six , but for wrapping over differences between Twisted and
 asyncio so one can write code that runs unmodified on both (aka "source code
 compatibility"). In other words: users can choose if they want asyncio or
 Twisted as a dependency.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 override_dh_auto_install:
 	pkgos-dh_auto_install
+	# they are useless and conflicting files
+	find debian -name LICENSE -delete
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## python-txaio 2.10.0

=== debian/changelog ===
python-txaio (2.10.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938232

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 22:06:13 -0500

python-txaio (2.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Add fix-await-is-a-keyword.patch. (Closes: #912182).
  * Only test with python 2, as the test code may be problematic in Py3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Oct 2018 14:31:06 +0100

=== debian/control ===
Source: python-txaio
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-alabaster,
 python3-sphinx-rtd-theme,
 python3-enchant,
 python3-mock,
 python3-pytest,
 python3-six,
 python3-twisted,
 python3-zope.interface,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-txaio
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-txaio.git
Homepage: https://github.com/tavendo/txaio

Package: python-txaio-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: compatibility API between asyncio/Twisted/Trollius - doc
 Txaio is a helper library for writing code that runs unmodified on both
 Twisted and asyncio.
 .
 This is like six , but for wrapping over differences between Twisted and
 asyncio so one can write code that runs unmodified on both (aka "source code
 compatibility"). In other words: users can choose if they want asyncio or
 Twisted as a dependency.
 .
 This package contains the documentation.

Package: python3-txaio
Architecture: all
Depends:
 python3-six,
 python3-twisted,
 python3-zope.interface,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-txaio-doc,
Description: compatibility API between asyncio/Twisted/Trollius - Python 3.x
 Txaio is a helper library for writing code that runs unmodified on both
 Twisted and asyncio.
 .
 This is like six , but for wrapping over differences between Twisted and
 asyncio so one can write code that runs unmodified on both (aka "source code
 compatibility"). In other words: users can choose if they want asyncio or
 Twisted as a dependency.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,27 +4,27 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 	# they are useless and conflicting files
 	find debian -name LICENSE -delete
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; set -x ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
+	set -e ; set -x ; for pyvers in $(PYTHONS); do \
 		PYTHONPATH=. python$$pyvers -m pytest --ignore=test/test_packaging.py ; \
 	done
 endif
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. sphinx-build -b html docs debian/python-txaio-doc/usr/share/doc/python-txaio-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-txaio-doc/usr/share/doc/python-txaio-doc/html
+	dh_sphinxdoc
 
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean
 	rm -rf build
 
 # Commands not to run

## python-txaio 20.4.1

=== debian/changelog ===
python-txaio (20.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Removed excess override.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:03:13 +0200

python-txaio (20.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-privacy-breach-in-docs.patch.
  * Removed fix-await-is-a-keyword.patch (applied upstream).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 13:45:00 +0200

## python-txaio 21.2.1

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,8 @@
 	rm -rf ./.eggs
 	rm -rf ./.cache
 	rm -rf ./test/.coverage.*.*
+	rm -rf ./.pytest_cache/
+	rm -rf ./.coverage.*.*
 	rm -rf ./docs/_build
 	rm -rf ./docs/_spelling
 	find . -name "*.tar.gz" -type f -exec rm -f {} \;

=== requirements.txt ===
attrs>=20.3.0
Automat>=20.2.0
constantly>=15.1.0
hyperlink>=21.0.0
idna>=3.1
incremental>=17.5.0
packaging>=20.9
PyHamcrest>=2.0.2
setuptools>=49.2.1
six>=1.15.0
Twisted>=20.3.0
zope.interface>=5.2.0

=== debian/changelog ===
python-txaio (21.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:36:09 +0200

python-txaio (21.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased remove-privacy-breach-in-docs.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 10:57:04 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,20 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-alabaster,
+ python3-attr,
+ python3-automat,
+ python3-constantly,
+ python3-enchant,
+ python3-hamcrest (>= 2.0.2),
+ python3-hyperlink (>= 21.0.0),
+ python3-idna (>= 3.1),
+ python3-incremental,
+ python3-mock,
+ python3-packaging,
+ python3-pytest,
+ python3-setuptools,
+ python3-six,
  python3-sphinx-rtd-theme,
- python3-enchant,
- python3-mock,
- python3-pytest,
- python3-six,
  python3-twisted,
  python3-zope.interface,
 Standards-Version: 4.1.1
@@ -45,6 +54,15 @@
 Package: python3-txaio
 Architecture: all
 Depends:
+ python3-attr,
+ python3-automat,
+ python3-constantly,
+ python3-hamcrest (>= 2.0.2),
+ python3-hyperlink (>= 21.0.0),
+ python3-idna (>= 3.1),
+ python3-incremental,
+ python3-packaging,
+ python3-setuptools,
  python3-six,
  python3-twisted,
  python3-zope.interface,

## python-txaio 23.1.1

=== Makefile ===
--- 
+++ 
@@ -58,3 +58,6 @@
 publish: clean
 	python setup.py sdist bdist_wheel
 	twine upload dist/*
+
+fix_copyright:
+	find . -type f -exec sed -i 's/Copyright (c) typedef int GmbH/Copyright (c) typedef int GmbH/g' {} \;

=== debian/changelog ===
python-txaio (23.1.1-4) unstable; urgency=medium

  * Remove python3-mock from build-dependencies (Closes: #1066141).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 09:31:37 +0200

python-txaio (23.1.1-3) unstable; urgency=medium

  * Removed dependency on python3-six (Closes: #1060114).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jan 2024 10:42:48 +0100

python-txaio (23.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:59:44 +0200

python-txaio (23.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 15:48:35 +0200

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,9 @@
  python3-hyperlink (>= 21.0.0),
  python3-idna (>= 3.1),
  python3-incremental,
- python3-mock,
  python3-packaging,
  python3-pytest,
  python3-setuptools,
- python3-six,
  python3-sphinx-rtd-theme,
  python3-twisted,
  python3-zope.interface,
@@ -63,7 +61,6 @@
  python3-incremental,
  python3-packaging,
  python3-setuptools,
- python3-six,
  python3-twisted,
  python3-zope.interface,
  ${misc:Depends},

## python-txaio 25.6.1

=== Makefile ===
--- 
+++ 
@@ -22,12 +22,17 @@
 spelling:
 	cd docs && sphinx-build -b spelling . _spelling
 
-pep8:
-	pep8 test/*.py txaio/*.py
+black:
+	black txaio test examples setup.py docs/conf.py
 
 # This will run pep8, pyflakes and can skip lines that end with # noqa
+# lobal config` is unused: name is never assigned in scope
+#	flake8 --max-line-length=119 test/*.py txaio/*.py
 flake8:
-	flake8 --max-line-length=119 test/*.py txaio/*.py
+	flake8 -v --isolated --max-line-length=88 txaio test
+
+list_noqu:
+	grep -r "noqa" txaio/ test/
 
 # cleanup everything
 clean:
@@ -47,7 +52,7 @@
 	find . -name "*.tar.gz" -type f -exec rm -f {} \;
 	find . -name "*.egg" -type f -exec rm -f {} \;
 	find . -name "*.pyc" -type f -exec rm -f {} \;
-	find . -name "*__pycache__" -type d -exec rm -rf {} \;
+#	find . -name "*__pycache__" -type d -exec rm -rf {} \;
 
 # upload to our internal deployment system
 upload: clean
@@ -57,7 +62,11 @@
 # publish to PyPI
 publish: clean
 	python setup.py sdist bdist_wheel
-	twine upload dist/*
+	twine check dist/*
+	@echo "to upload, run:"
+	@echo ""
+	@echo "   twine upload --verbose -u __token__ -p pypi-AgEI...KXNA dist/*"
+	@echo ""
 
 fix_copyright:
 	find . -type f -exec sed -i 's/Copyright (c) typedef int GmbH/Copyright (c) typedef int GmbH/g' {} \;

=== requirements.txt ===
--- 
+++ 
@@ -7,6 +7,5 @@
 packaging>=20.9
 PyHamcrest>=2.0.2
 setuptools>=49.2.1
-six>=1.15.0
 Twisted>=20.3.0
 zope.interface>=5.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/txaio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/txaio.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/txaio"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/txaio"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-txaio (25.6.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 15:24:05 +0200

python-txaio (25.6.1-2) experimental; urgency=medium

  * Removed runtime depends on setuptools (Closes: #1093515).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 09:15:29 +0200

python-txaio (25.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Delete, refresh, rebase patches.
  * Add python3-sphinxcontrib.images as build-depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 16:35:26 +0200

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  python3-pytest,
  python3-setuptools,
  python3-sphinx-rtd-theme,
+ python3-sphinxcontrib.images,
  python3-twisted,
  python3-zope.interface,
 Standards-Version: 4.1.1
@@ -60,7 +61,6 @@
  python3-idna (>= 3.1),
  python3-incremental,
  python3-packaging,
- python3-setuptools,
  python3-twisted,
  python3-zope.interface,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -26,13 +26,3 @@
 override_dh_clean:
 	dh_clean
 	rm -rf build
-
-# Commands not to run
-override_dh_installcatalogs:
-override_dh_installemacsen override_dh_installifupdown:
-override_dh_installinfo override_dh_installmenu override_dh_installmime:
-override_dh_installmodules override_dh_installlogcheck:
-override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
-override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
-override_dh_installcron override_dh_installdebconf:
-override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/txaio/txaio-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-txaio 25.9.2

=== debian/changelog ===
python-txaio (25.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed deps version when satisfied in Trixie.
  * Rewrote remove-privacy-breach-in-docs.patch.
  * Removed add_support_for_Python_3.14.patch applied upstream.
  * Display sphinx error log if sphinx fails.
  * Add python3-myst-parser to build-depends.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 16:12:53 +0100

python-txaio (25.6.1-4) unstable; urgency=medium

  * Add add_support_for_Python_3.14.patch (Closes: #1125125).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Jan 2026 09:36:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
  debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-myst-parser,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
@@ -17,9 +19,9 @@
  python3-automat,
  python3-constantly,
  python3-enchant,
- python3-hamcrest (>= 2.0.2),
- python3-hyperlink (>= 21.0.0),
- python3-idna (>= 3.1),
+ python3-hamcrest,
+ python3-hyperlink,
+ python3-idna,
  python3-incremental,
  python3-packaging,
  python3-pytest,
@@ -56,9 +58,9 @@
  python3-attr,
  python3-automat,
  python3-constantly,
- python3-hamcrest (>= 2.0.2),
- python3-hyperlink (>= 21.0.0),
- python3-idna (>= 3.1),
+ python3-hamcrest,
+ python3-hyperlink,
+ python3-idna,
  python3-incremental,
  python3-packaging,
  python3-twisted,

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,13 @@
 endif
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-txaio-doc/usr/share/doc/python-txaio-doc/html
+	if ! PYTHONPATH=. python3 -m sphinx -b html docs debian/python-txaio-doc/usr/share/doc/python-txaio-doc/html ; then \
+		cat /tmp/sphinx-err-*.log ; \
+		exit 1 ; \
+	fi
 	dh_sphinxdoc
 
 
 override_dh_clean:
 	dh_clean
-	rm -rf build
+	rm -rf build docs/_images
